# cAltar Class Reference

Inheritance diagram for cAltar:

List of all members.

## Public Member Functions

| cAltar (DWORD dwType, DWORD dwGUID, cLocation *pcLoc, char *strName, char *strDesc)
void | Assess (cClient *pcAssesser)
cMessage | CreatePacket ()
void | Action (cClient *who)
void | SetMode (DWORD mode)
DWORD | GetMode ()
void | SetData (WORD wAnimConfig, WORD wSoundSet, WORD wModel, WORD wIcon, DWORD dwObject)

## Constructor & Destructor Documentation

cAltar::cAltar | ( | DWORD | dwType,
|  | DWORD | dwGUID,
|  | cLocation * | pcLoc,
|  | char * | strName,
|  | char * | strDesc |
| ) |  |  |

A constructor.

Called whenever an altar object is initialized.

Handles the creation of altars.

Called whenever an altar object should be initialized.

## Member Function Documentation

void cAltar::Action | ( | cClient * | who | ) | `[virtual]`

Handles the actions of altar objects.

This function is called whenever an altar is used or should perform an action.

Implements cObject.

void cAltar::Assess | ( | cClient * | pcAssesser | ) | `[virtual]`

Handles the assessment of altar objects.

This function is called whenever an altar is assessed by a client.

Returns a Game Event (0x0000F7B0) server message of type Identify Object (0x000000C9).

Reimplemented from cObject.

cMessage cAltar::CreatePacket | ( |  | ) | `[virtual]`

Handles the message sent for the creation of altars.

This function is called whenever an altar should be created for a client.

Returns:
  cMessage - Returns a Create Object (0x0000F745) server message.

Implements cObject.

The documentation for this class was generated from the following files:

- E:/uas2/Server/Object.h
- E:/uas2/Server/cAltar.cpp